apt – The repository ‘https://apache.jfrog.io/artifactory/couchdb-deb groovy Release’ does not have a Release file

I was trying to install couchdb on my Ubuntu 20.10 version – probably failed – and after I tried to update my system I get the above message. I have searched the same problem but there seems to be solutions only for ppa repository, any suggestion?

My release version is when typing lsb_release -a is:

No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 20.10
Release: 20.10
Codename: groovy